import { Router } from "express";
import { Config } from "../../config/config.types";
import { setupProxy } from "./setup-proxy";
import { setupPolicies } from "./setup-policies";
import { logger } from "../../logger";

export const setupEndpoints = (router: Router, config: Config): void => {
  const { endpoints, policyDefinitions } = config;

  endpoints.forEach((endpoint) => {
    if (policyDefinitions) {
      setupPolicies(router, endpoint, policyDefinitions);
    }
    setupProxy(router, endpoint);

    logger.info(`Created endpoint ${endpoint.path} -> ${endpoint.target.url}`);
  });
};
